import type Part from './Part';
import Playable, { PlayableProps } from './abstracts/Playable';
interface TrackProps extends PlayableProps {
    duration: number;
    loop?: boolean;
}
export default class Track extends Playable {
    readonly duration: number;
    private readonly loop;
    private part;
    constructor({ duration, loop, ...rest }: TrackProps);
    play(start?: number): void;
    bindPart(part: Part): void;
}
export {};
