import type Timeline from '../Timeline';
import type { Effect } from '../effects/Effect';
import Bus from '../Bus';
export interface ContainerProps {
    effects?: Effect[];
}
export default abstract class Container {
    protected timeline: Timeline;
    readonly bus: Bus;
    constructor({ effects, }: ContainerProps);
    bindTimeline(timeline: Timeline): void;
    destroy(): void;
}
