import type { OperativeNodeProps } from '../abstracts/OperativeNode';
import EffectNode from './EffectNode';
export interface DynamicsCompressorProps extends OperativeNodeProps {
    threshold?: number;
    knee?: number;
    ratio?: number;
    attack?: number;
    release?: number;
}
export default class DynamicsCompressor extends EffectNode<DynamicsCompressorNode> {
    constructor({ threshold, knee, ratio, attack, release, ...rest }?: DynamicsCompressorProps);
}
