import OperativeNode, { OperativeNodeProps } from '../abstracts/OperativeNode';
export default abstract class EffectNode<T extends AudioNode> extends OperativeNode {
    node: T;
    constructor(factory: (ctx: AudioContext) => T, props: OperativeNodeProps);
    getControllerTarget(): T;
}
