import type Timeline from './Timeline';
import Playable, { PlayableProps } from './abstracts/Playable';
interface ActionSoundProps extends PlayableProps {
    quantize?: number;
}
export default class ActionSound extends Playable {
    private readonly quantize;
    constructor({ quantize, ...rest }: ActionSoundProps);
    play(): void;
    bindTimeline(timeline: Timeline): void;
}
export {};
