import Node from './abstracts/Node';
import { Effect } from './effects/Effect';
interface BusProps {
    effects?: Effect[];
}
export default class Bus extends Node {
    private readonly effects;
    constructor({ effects, }: BusProps);
    addParent(parent: Node): void;
    removeParent(parent: Node): void;
    getOutputAudioNodes(): AudioNode[];
}
export {};
