import type Context from '../Context';
import Node from './Node';
export interface OperativeNodeProps {
    context?: Context;
}
export default abstract class OperativeNode extends Node {
    private upstreamNodes;
    protected context: Context;
    node: AudioNode;
    protected autoInvalidateChildren: boolean;
    constructor({ context, }?: OperativeNodeProps);
    protected rebuildUpstreamConnections(): void;
    protected invalidateConnections(): void;
    getOutputAudioNodes(): AudioNode[];
}
